package com.dhcc.finance.main.domain;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
@ApiModel(value = "CwBdAccass",description = "会计科目辅助表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdAccass {
    @ApiModelProperty(value = "科目辅助主键", required = true, example = "")
    private String pkAccass;

    @ApiModelProperty(value = "科目版本主键", required = false, example = "")
    private String pkSubjscheme;

    @ApiModelProperty(value = "科目主键", required = false, example = "")
    private String pkAccsubj;

    @ApiModelProperty(value = "辅助顺序", required = false, example = "")
    private Integer assorder;

    @ApiModelProperty(value = "辅助核算项目", required = false, example = "")
    private String pkAccassitem;

    @ApiModelProperty(value = "是否必输", required = false, example = "")
    private String ismust;

    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
}