package com.dhcc.finance.main.domain;

import java.util.Date;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
@ApiModel(value = "CwBdRelation",description = "凭证单据明细对应表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdRelation {
	 /**
     * 主键
     */
    @ApiModelProperty(value = "主键", required = false, example = "")
    private String pkRelation;

    /**
     * 来源单据类型
     */
    @ApiModelProperty(value = "来源单据类型", required = false, example = "")
    private String pkSrcbilltype;

    /**
     * 来源单据主键
     */
    @ApiModelProperty(value = "来源单据主键", required = false, example = "")
    private String pkSrcbillpk;

    /**
     * 凭证主键
     */
    @ApiModelProperty(value = "凭证主键", required = false, example = "")
    private String pkVoucher;
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
  
}