package com.dhcc.finance.main.domain;


import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwHsSubcodemap",description = "恒生估值科目对照关系表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwHsSubcodemap {
	 /**
     * 
     */
    @ApiModelProperty(value = "", required = true, example = "")
    private String id;

    /**
     * 
     */
    @ApiModelProperty(value = "", required = false, example = "")
    private Integer bookCode;

    /**
     * 
     */
    @ApiModelProperty(value = "", required = false, example = "")
    private String companyFlag;

    /**
     * 
     */
    @ApiModelProperty(value = "", required = false, example = "")
    private String importFlag;

    /**
     * 
     */
    @ApiModelProperty(value = "", required = false, example = "")
    private String subCode;

    /**
     * 
     */
    @ApiModelProperty(value = "", required = false, example = "")
    private String subName;

    /**
     * 
     */
    @ApiModelProperty(value = "", required = false, example = "")
    private String seidId;

    /**
     * 
     */
    @ApiModelProperty(value = "", required = false, example = "")
    private String stockType;

    /**
     * 
     */
    @ApiModelProperty(value = "", required = false, example = "")
    private String subCodeV;

    /**
     * 
     */
    @ApiModelProperty(value = "", required = false, example = "")
    private String subNameV;

    /**
     * 
     */
    @ApiModelProperty(value = "", required = false, example = "")
    private String productId;

    /**
     * 
     */
    @ApiModelProperty(value = "", required = false, example = "")
    private String subProductId;
   
    @ApiModelProperty(value = "", required = false, example = "")
    private String useState;

    @ApiModelProperty(value = "", required = false, example = "")
    private String createUser;
   
    @ApiModelProperty(value = "", required = false, example = "")
    private Date createTime;

    @ApiModelProperty(value = "", required = false, example = "")
    private String updateUser;

    @ApiModelProperty(value = "", required = false, example = "")
    private Date updateTime;

    @ApiModelProperty(value = "", required = false, example = "")
    private String remark;

}