package com.dhcc.finance.main.model;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class CountInstestFeeModel {
    @ApiModelProperty(value = " 子项目编号",required = false, example = "")
    private String subProjectId;
    
    @ApiModelProperty(value = "借据编号",required = false, example = "")
    private String loanId;

    @ApiModelProperty(value = "费用编号",required = false, example = "")
    private String FeeId;
    
    @ApiModelProperty(value = "计提类型",required = false, example = "")
    private String batchType;
    
    @ApiModelProperty(value = " 开始时间",required = false, example = "")
    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date startDate;
    
    @JsonFormat(locale = "zh", timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = " 结束时间",required = false, example = "")
    private Date endDate;

}
