package com.dhcc.finance.main.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.dhcc.common.constant.SysConstants;
import com.dhcc.common.constant.SysStatusCode;
import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.dao.CwHsOutcwZqxxMapper;
import com.dhcc.finance.main.model.CwHsOutcwZqxxWeb;
import com.dhcc.finance.main.service.CwHsOutcwZqxxService;
import com.dhcc.finance.util.MetaDataUtil;

import brave.Tracer;
@Service
public class CwHsOutcwZqxxServiceImpl implements CwHsOutcwZqxxService{
	@Autowired
	CwHsOutcwZqxxMapper cwHsOutcwZqxxMapper;
	@Autowired
	private Tracer tracer;
	/*
	 * (非 Javadoc)  
	 * <p>Title: searchCwHsOutcwZqxx</p>  
	 * <p>Description: </p>
	 * @return  
	 * @see com.dhcc.finance.main.service.CwHsOutcwZqxxService#searchCwHsOutcwZqxx()    
	 * @author huangpeng
	 * @date 2019年12月5日 下午7:57:27
	 * @修改日志：
	 */
	@Override
	public RestfulResponse<List<CwHsOutcwZqxxWeb>, CurrencyMeta> searchCwHsOutcwZqxx() {
		List<CwHsOutcwZqxxWeb> list=cwHsOutcwZqxxMapper.selectCwHsOutcwZqxxForJC();
		return new RestfulResponse<List<CwHsOutcwZqxxWeb>, CurrencyMeta>(SysConstants.CODE.SUCCESS,SysConstants.DEFAULT_MESSAGE.OPERATION_SUCCESS,list,MetaDataUtil.getMeta(tracer,SysStatusCode.OPERATION_SUCCESS));
	}

}
