package com.dhcc.finance.main.service;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwBdRecordSerial;
import com.github.pagehelper.PageInfo;

public interface CwBdRecordSerialService {
	/**
	 * 功能描述   查询所有批次流水信息
	 * @param batchNo
	 * @param pageNum
	 * @param pageSize
	 * @param navigatePages
	 * @return RestfulResponse<PageInfo<CwBdRecordSerial>,CurrencyMeta>
	 * @author huangpeng
	 * @param tradeCode 
	 * @date 2019年7月16日 上午9:29:40
	 * 修改日志
	 */
	RestfulResponse<PageInfo<CwBdRecordSerial>, CurrencyMeta> searchCwBdRecordSerialAll(String batchNo,String tradeCode, int pageNum,
			int pageSize, int navigatePages);

}
