package com.dhcc.finance.main.service;

/**
 * 功能描述：财务批量入口
 *
 * @author dml
 * @date 2019年11月27日 上午9:56:22
 * @修改日志：
 */
public interface FinanceBatchService {
    /**
     * 功能描述：开始结转结账
     *
     * @param period
     * @return RestfulResponse<Object, CurrencyMeta>
     * @author dml
     * @date 2019年11月27日 上午10:51:43
     * @修改日志：
     */
    void startCarryForwardAndSettle(String quartzJobName, String batchMonitorId);

    /**
     * @param [quartzJobName, batchMonitorId]
     * @return void
     * @description: 开始结转
     * @author lxj
     * @date 2020-07-14 13:52
     * @modify
     */
    void startCarryForward(String quartzJobName, String batchMonitorId);

    /**
     * @param [quartzJobName, batchMonitorId]
     * @return void
     * @description: 开始结账
     * @author lxj
     * @date 2020-07-14 13:52
     * @modify
     */
    void startSettle(String quartzJobName, String batchMonitorId);
}
